You are not logged in.

#1 2012-05-04 22:39:16

esuhl
Member
From: UK
Registered: 2009-09-16
Posts: 75

[SOLVED] mousepad: error while loading libxfce4util.so.4

I recently upgraded my system (with pacman -Syu), and for some reason it seems to have stopped mousepad from working in XFCE.

When I run it I get the following error message:

mousepad: error while loading shared libraries: libxfce4util.so.4: cannot open shared object file: No such file or directory

Can anyone suggest how I can troubleshoot/fix this?  Thanks in advance :-)

Last edited by esuhl (2012-05-12 00:07:46)

Offline

#2 2012-05-04 23:09:40

karol
Archivist
Registered: 2009-05-06
Posts: 25,423

Re: [SOLVED] mousepad: error while loading libxfce4util.so.4

Are you using mousepad-git from the AUR?
If you are, the package needs to be rebuilt, as mentioned in the comments https://aur.archlinux.org/packages.php?ID=51101

Edit: mousepad has been long removed from the repos: https://bbs.archlinux.org/viewtopic.php?id=123321

Last edited by karol (2012-05-04 23:17:33)

Offline

#3 2012-05-04 23:46:07

swanson
Member
From: Sweden
Registered: 2011-02-05
Posts: 759

Re: [SOLVED] mousepad: error while loading libxfce4util.so.4

After reinstall due to new libraries in xfce 4.10, mousepad- git works fine.

Offline

#4 2012-05-05 02:08:40

esuhl
Member
From: UK
Registered: 2009-09-16
Posts: 75

Re: [SOLVED] mousepad: error while loading libxfce4util.so.4

karol wrote:

Edit: mousepad has been long removed from the repos: https://bbs.archlinux.org/viewtopic.php?id=123321

Ah, right.  I'd installed it from the official repositories when I installed Arch ages ago.  I've installed Leafpad instead now and ditched mousepad.

Out of interest, should I have been aware of mousepad's retirement from the official repos?  I mean, is there a notice I should have read (in pacman output maybe?) or a command I should be running periodically to check for such problems?

Offline

#5 2012-05-05 08:28:27

karol
Archivist
Registered: 2009-05-06
Posts: 25,423

Re: [SOLVED] mousepad: error while loading libxfce4util.so.4

Currently there is no easy way to know what happened with every package or command. Some major changes e.g. [1] or [2] get announced, some packages may notify you on update that command foo is no longer provided because of this or that, but often you find out that the package has been dropped to the AUR when it mysteriously breaks, as it was in your case.



[1] http://www.archlinux.org/news/kmod-repl … nit-tools/
[2] http://www.archlinux.org/news/nvidia-17 … rom-extra/

Offline

#6 2012-05-05 08:54:06

Wey
Member
Registered: 2011-04-22
Posts: 217

Re: [SOLVED] mousepad: error while loading libxfce4util.so.4

Shouldn't dropped packages appear in the output of pacman -Qm among with the regular aur packages? For my part, I also watch the output of each abs sync for deleted packages. E. g. todays sync showed the removal of procps, as announced previously:

...
deleting core/procps/PKGBUILD
deleting core/procps/

Offline

#7 2012-05-05 09:19:26

karol
Archivist
Registered: 2009-05-06
Posts: 25,423

Re: [SOLVED] mousepad: error while loading libxfce4util.so.4

Wey wrote:

Shouldn't dropped packages appear in the output of pacman -Qm among with the regular aur packages?

Yup, but:
1. 'pacman -Qm' lists packages that can't be found in any of the available repos. It may be removed from the official repos but still be provided by some unofficial repo (if you have any unofficial repos enabled).
2. You still need a script to filter it out from the AUR packages.
3. The package could got merged with another (you should get some post_install info about this though).

I also watch the output of each abs sync for deleted packages. E. g. todays sync showed the removal of procps, as announced previously:

...
deleting core/procps/PKGBUILD
deleting core/procps/

If you prefer better signal-to-noise ratio [than the ML] and you're concerned only with the packages you currently have installed you still need some script.

Offline

#8 2012-05-12 00:07:34

esuhl
Member
From: UK
Registered: 2009-09-16
Posts: 75

Re: [SOLVED] mousepad: error while loading libxfce4util.so.4

Cool.  Thanks for the tips, everyone!

Offline

Board footer

Powered by FluxBB